<?PHP
/**
 * Constains lists for categorizing misspelled check types.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Provides lists for categorizing misspelled check types.
 */
final class MDConcCheckTypes implements MDImporterConcordanceListInterface {

    private const CHECK_TYPES = [
        "Vollständigkeit" => MDObjectCheckType::completeness_check,
    ];

    /**
     * Require a function for getting the concordance target.
     *
     * @param string $input Input string.
     *
     * @return MDObjectCheckType
     */
    public static function getConcordanceTarget(string $input):MDObjectCheckType {

        if (!isset(self::CHECK_TYPES[$input])) {
            throw new MDImporterMissingConcordance("Unknown check type: " . $input);
        }

        return self::CHECK_TYPES[$input];

    }
}
